Introducing FLEM - The Legacy Modder for legacy DirectX 9 and 10 cards.

Discussion in 'Videocards - AMD Radeon Drivers Section' started by AmiloMan, Jul 14, 2013.

  1. AmiloMan

    AmiloMan Master Guru

    Messages:
    337
    Likes Received:
    8
    GPU:
    Gigabyte 270x 4GB
    Thanks for your feedback.

    OS Windows 8 64bit
    Card type ATI mobility radeon 4850
    Driver Modded 13.8 Beta + 10.2 legacy base drivers

    Successfully Modded !
     
  2. liquidfox12

    liquidfox12 Member

    Messages:
    38
    Likes Received:
    0
    GPU:
    ati x1400
    oops found this thread now sorry for the repost
    Can anyone help me out as well , im running a dell inspiron 6400 video card : ati mobility x1400
    the catalyst version i am using is dna ati 10.2 x64 , os windows 7 x64

    can i get a better driver or this is the last for this card

    I tried the steps in FLEM , 4 times the catalyst refused to accept the driver , 5 th got blue screen on boot.

    [​IMG]
     
  3. liquidfox12

    liquidfox12 Member

    Messages:
    38
    Likes Received:
    0
    GPU:
    ati x1400
    i would not suggest using 10.2 legacy drivers they have a lot of issues with open gl based games. many people suggest using 8.9 or lower to get back better open gl
    here is a recent example
    http://steamcommunity.com/app/225140/discussions/2/846960628274975462/
     
  4. Dch48

    Dch48 Ancient Guru

    Messages:
    1,822
    Likes Received:
    1
    GPU:
    Sapphire Nitro+ RX 470 4g
    That link doesn't work and I used the OpenGL files from 10.2 in my nodded 13.4 driver to make a Steam game, namely the original Half-Life, work.
     

  5. xbp13x

    xbp13x Member

    Messages:
    18
    Likes Received:
    0
    GPU:
    ATI 4250M 256MB
    I have a slight bug in my CCC with my driver combo. I don''t see a "my digital flat panels" tab so I am unable to change my scaling.

    I usually force to full screen instead of keeping the aspect ratio. Any way to chnage the scaling without CCC?
     
  6. AmiloMan

    AmiloMan Master Guru

    Messages:
    337
    Likes Received:
    8
    GPU:
    Gigabyte 270x 4GB
    Sure the 10.2's have issues too, but for the DirectX 9 cards its the latest and greatest we have out there with all its technological improvements.
    First try a combination that works on your system before getting too picky about what driver files to use.
    I always insist on using a combined set of driver files from various source packages to get the best performance for your system, but that is for advanced users who know what they are doing. After doing some research you should find a set of driver files that work well on your system.
    Your computer's manufacturer files are also worth trying.

    The link you posted is dead, can't access the steam forum.
     
    Last edited: Aug 22, 2013
  7. AmiloMan

    AmiloMan Master Guru

    Messages:
    337
    Likes Received:
    8
    GPU:
    Gigabyte 270x 4GB
    Try this tool and see if it helps.....

    http://www.xgamingstudio.com/files/A...ngFix-Win7.zip

    Run as administrator.
     
  8. Joe 69

    Joe 69 Master Guru

    Messages:
    213
    Likes Received:
    0
    GPU:
    Sapphire HD4850 1GB
    Hei guys, you can use kevsamiga1974 fixed 10.8 or 10.9aHotfix unless 10.2 ............see this thread....http://forums.guru3d.com/showthread.php?t=370745&page=13

    kevsamiga fixed the known issuses of these drivers.
     
    Last edited: Aug 22, 2013
  9. liquidfox12

    liquidfox12 Member

    Messages:
    38
    Likes Received:
    0
    GPU:
    ati x1400
    i doubt any driver after 10.2 supports legacy dx9 cards specially x1xxx series . the catalyst might work but 10.2 is the last, strange that you cant see the steam link i provided , it opens here , any linking mistake i have made ? not sure

    The link was for duke nukem megaton steam forums , apparently anyone using 10.2 legacy drivers cant see in game crosshairs, fix is to go below 10.2, problem is going below 9.3 breaks windows aero support.

    @AmiloM
    can you help me also get mobility x1400 package aka 13.8 Beta + 10.2 legacy base drivers ? i tried using your software but cant get windows to accept the driver.

    Dell has not provided any support for windows 7 so their x32 vista from 2008 driver wont work :bang:
    i used to use ati catalyst modder to test all packages from catalyst 8.9 to 10.2. Only catalyst 9.3 and legacy catalyst 10.2 have worked perfectly with full aero support for my ati mobility x1400.

    My thanks you folks trying to still help us users stuck with x1xxx series cards on our laptops
     
    Last edited: Aug 22, 2013
  10. Joe 69

    Joe 69 Master Guru

    Messages:
    213
    Likes Received:
    0
    GPU:
    Sapphire HD4850 1GB
    Don't know if kevs fixed drivers are good for 1xxxx series.....just gave them for trying to give you a help.....anyhow trying them don't cost nothing....the steam link you provided is sean and there with no problems.

    EDIT:
    Well....to see if they are good: download then open driver packege and then open .inf file and see the list of cards.....sorry , but can't help you more than this.....
     
    Last edited: Aug 22, 2013

  11. AmiloMan

    AmiloMan Master Guru

    Messages:
    337
    Likes Received:
    8
    GPU:
    Gigabyte 270x 4GB
    Hey there, Yep Kevs drivers are really good, he put in alot of work in those drivers... by the way FYI he is our resident professor when it comes to drivers ;)
    Unfortunately the drivers after 10.2 don't work on DX9 cards, there are no drivers after 10.2 for Dx9 cards, that is why I got sick and tired of being sick and tired and made FLEM :)
     
  12. AmiloMan

    AmiloMan Master Guru

    Messages:
    337
    Likes Received:
    8
    GPU:
    Gigabyte 270x 4GB
    I recommend you use the 13.6 Beta 2 drivers, they are really good, please get at least one _MOD variation to work on your system before going into complex stuff. No fear... I will guide you.:)
     
  13. Joe 69

    Joe 69 Master Guru

    Messages:
    213
    Likes Received:
    0
    GPU:
    Sapphire HD4850 1GB


    That's true, I know his work very well.....I'm still with his 11.12 Hybridized R13 UV 2 Final Vista Win7 x64 OS on my 4850 !!

    Sorry, I didin't know that.....who knows if he can do something for you guys......try sending a private message, it's a lot of time that he is not on the forum for changing house and problems with the new internet connection....
     
    Last edited: Aug 22, 2013
  14. AmiloMan

    AmiloMan Master Guru

    Messages:
    337
    Likes Received:
    8
    GPU:
    Gigabyte 270x 4GB
    Thanks for the suggestion, actually the DX9 cards are pretty much covered by FLEM. The last time I checked no one bothered with DX9 cards... too many headaches.
     
    Last edited: Aug 22, 2013
  15. xbp13x

    xbp13x Member

    Messages:
    18
    Likes Received:
    0
    GPU:
    ATI 4250M 256MB

  16. liquidfox12

    liquidfox12 Member

    Messages:
    38
    Likes Received:
    0
    GPU:
    ati x1400
    I tried that one now and it failed , it just wont recognize the driver , i am not sure what i am doing wrong i select all the require files from 10.2 legacy for 13
    disabled driver enforcement, used the proper x64 files, also i get this error always.
    [​IMG]
     
  17. Dch48

    Dch48 Ancient Guru

    Messages:
    1,822
    Likes Received:
    1
    GPU:
    Sapphire Nitro+ RX 470 4g
    You're using a mobility driver version. Try using the regular one.
     
  18. AmiloMan

    AmiloMan Master Guru

    Messages:
    337
    Likes Received:
    8
    GPU:
    Gigabyte 270x 4GB
  19. AmiloMan

    AmiloMan Master Guru

    Messages:
    337
    Likes Received:
    8
    GPU:
    Gigabyte 270x 4GB
    Don't use the mobility version, always MOD with the desktop version. Selecting the 7 files from the left of the cocktailmaker only is enough to MOD your driver.The files till the green dotted line.
    The error you are getting is because you are trying to MOD the same package with itself, some files are from the same package you are trying to modify:infinity:
     
  20. liquidfox12

    liquidfox12 Member

    Messages:
    38
    Likes Received:
    0
    GPU:
    ati x1400
    Lmao :bang: alright will retry it again , thought mobility version would fit in better since this is a mobility card , will download the desktop version and will get it right this time.

    I DID IT , it worked perfectly , will test out a few games and let you know how this is now compared to the 10.2 i was stuck with since years
     
    Last edited: Aug 23, 2013

Share This Page